Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Yury Norov <[email-masked]>
Date: Fri, 22 Jul 2022 12:29:27 -0700

On Fri, Jul 22, 2022 at 07:16:57PM +1000, Stephen Rothwell wrote:
> Hi all,
 ...

> I am not sure which commit caused this.  Though I suspect
> 
>   bbe8fb1a3c53 ("lib/nodemask: inline next_node_in() and node_random()")
> 
> which added the include of random.h to nodemask.h
> 
> I have used the bitmap tree from next-20220721 for today.

Hi Stephen,

You're right. The problem in the last patch of the series. I've got
the fix already, and testing it now.

I'll drop the bbe8fb1a3c53 and submit it separately together with
header fix.

Thanks,
Yury